package com.bocloud.cmp.model.agile;

/*
 * 静态路由
 */
public class AgileStaticRouterModel {
    private String staticRouterUuid; // 静态路由ID
    private String addressFamilyType; // 地址类型。枚举类型，支持的取值：Ipv4、Ipv6
    private String destination; // 静态路由前缀，CIDR格式
    private String nexthopIp; // 静态路由下一跳IP
    private String nexthopVrf; // 静态路由下一跳VRF名。静态路由跨VRF时使用，与nexthopLogicRouterId二选一，不可同时存在
    private String nexthopLogicRouterUuid; // 静态路由下一跳RouterID。静态路由跨VRF时使用，与nexthopVrf二选一，不可同时存在
    private Integer preference; // 静态路由优先级
    private String nexthopType; // 下一跳类型。枚举类型，支持的取值：Ip：Ip类型；EndPort：EndPort为用户端口类型；Indirect：非直连类型
    private String trackType; // 联动类型，仅支持NQA类型，或者不填写
    private String trackUuid; // 设备所属的pool资源池
    private String endPortUuid; // 用户端口ID
    private String endPortIp; // 用户端口IP
    private String endPortTrackName; // 用户端口类型路由联动名称
    private Boolean trackCheck; // 联动检测开关
    private String deviceGroupUuid; // 逻辑路由器关联设备组ID，与设备组名称二选一
    private String deviceGroupName; // 逻辑路由器关联设备组名称，与设备组ID二选一
    private String source;

    public String getStaticRouterUuid() {
        return staticRouterUuid;
    }

    public void setStaticRouterUuid(String staticRouterUuid) {
        this.staticRouterUuid = staticRouterUuid;
    }

    public String getAddressFamilyType() {
        return addressFamilyType;
    }

    public void setAddressFamilyType(String addressFamilyType) {
        this.addressFamilyType = addressFamilyType;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getNexthopIp() {
        return nexthopIp;
    }

    public void setNexthopIp(String nexthopIp) {
        this.nexthopIp = nexthopIp;
    }

    public String getNexthopVrf() {
        return nexthopVrf;
    }

    public void setNexthopVrf(String nexthopVrf) {
        this.nexthopVrf = nexthopVrf;
    }

    public String getNexthopLogicRouterUuid() {
        return nexthopLogicRouterUuid;
    }

    public void setNexthopLogicRouterUuid(String nexthopLogicRouterUuid) {
        this.nexthopLogicRouterUuid = nexthopLogicRouterUuid;
    }

    public Integer getPreference() {
        return preference;
    }

    public void setPreference(Integer preference) {
        this.preference = preference;
    }

    public String getNexthopType() {
        return nexthopType;
    }

    public void setNexthopType(String nexthopType) {
        this.nexthopType = nexthopType;
    }

    public String getTrackType() {
        return trackType;
    }

    public void setTrackType(String trackType) {
        this.trackType = trackType;
    }

    public String getTrackUuid() {
        return trackUuid;
    }

    public void setTrackUuid(String trackUuid) {
        this.trackUuid = trackUuid;
    }

    public String getEndPortUuid() {
        return endPortUuid;
    }

    public void setEndPortUuid(String endPortUuid) {
        this.endPortUuid = endPortUuid;
    }

    public String getEndPortTrackName() {
        return endPortTrackName;
    }

    public void setEndPortTrackName(String endPortTrackName) {
        this.endPortTrackName = endPortTrackName;
    }

    public Boolean getTrackCheck() {
        return trackCheck;
    }

    public void setTrackCheck(Boolean trackCheck) {
        this.trackCheck = trackCheck;
    }

    public String getDeviceGroupUuid() {
        return deviceGroupUuid;
    }

    public void setDeviceGroupUuid(String deviceGroupUuid) {
        this.deviceGroupUuid = deviceGroupUuid;
    }

    public String getDeviceGroupName() {
        return deviceGroupName;
    }

    public void setDeviceGroupName(String deviceGroupName) {
        this.deviceGroupName = deviceGroupName;
    }

    public String getEndPortIp() {
        return endPortIp;
    }

    public void setEndPortIp(String endPortIp) {
        this.endPortIp = endPortIp;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }
}
